interface ModuleInfo {
    module: Record<string, any>;
    specifier: string;
}
export declare class Metadata {
    modules: ModuleInfo[];
    hydratedComponents: any[];
    hoisted: any[];
    fileURL: URL;
    private metadataCache;
    constructor(fileURL: string, modules: ModuleInfo[], hydratedComponents: any[], hoisted: any[]);
    resolvePath(specifier: string): string;
    getPath(Component: any): string | null;
    getExport(Component: any): string | null;
    getAllHydratedComponentPaths(): Set<string>;
    private getComponentMetadata;
    private findComponentMetadata;
}
interface CreateMetadataOptions {
    modules: ModuleInfo[];
    hydratedComponents: any[];
    hoisted: any[];
}
export declare function createMetadata(fileURL: string, options: CreateMetadataOptions): Metadata;
export {};
