import type { AstroConfig, RouteCache } from '../@types/astro';
import type { LogOptions } from '../core/logger';
import type { ViteDevServer, Plugin as VitePlugin } from '../core/vite';
import type { RenderedChunk } from 'rollup';
import type { AllPagesData } from '../core/build/types';
interface PluginOptions {
    astroConfig: AstroConfig;
    astroStyleMap: Map<string, string>;
    astroPageStyleMap: Map<string, string>;
    chunkToReferenceIdMap: Map<string, string>;
    logging: LogOptions;
    allPages: AllPagesData;
    pageNames: string[];
    pureCSSChunks: Set<RenderedChunk>;
    origin: string;
    routeCache: RouteCache;
    viteServer: ViteDevServer;
}
export declare function rollupPluginAstroBuildHTML(options: PluginOptions): VitePlugin;
export {};
